<?php

namespace Litecms\CustomService;

use User;

class CustomService
{
    /**
     * $custom_services object.
     */
    protected $custom_services;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\CustomService\Interfaces\CustomServicesRepositoryInterface $custom_services)
    {
        $this->custom_services = $custom_services;
    }

    /**
     * Returns count of custom_service.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.custom_services.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->custom_services->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\CustomServicesUserCriteria());
        }

        $custom_services = $this->custom_services->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('custom_service::' . $view, compact('custom_services'))->render();
    }
}
