<?php

namespace Litecms\CustomService\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CustomServicesTransformer extends TransformerAbstract
{
    public function transform(\Litecms\CustomService\Models\CustomServices $custom_services)
    {
        return [
            'id'                => $custom_services->getRouteKey(),
            'key'               => [
                'public'    => $custom_services->getPublicKey(),
                'route'     => $custom_services->getRouteKey(),
            ], 
            'text'              => $custom_services->text,
            'service_name'      => $custom_services->service_name,
            'url'               => [
                'public'    => trans_url('custom_service/'.$custom_services->getPublicKey()),
                'user'      => guard_url('custom_service/custom_services/'.$custom_services->getRouteKey()),
            ], 
            'status'            => trans('app.'.$custom_services->status),
            'created_at'        => format_date($custom_services->created_at),
            'updated_at'        => format_date($custom_services->updated_at),
        ];
    }
}